diff --git a/net/messagelib/pkg-plist b/net/messagelib/pkg-plist
index cd54d0718cad..658c61dbeb1f 100644
--- a/net/messagelib/pkg-plist
+++ b/net/messagelib/pkg-plist
@@ -1039,5 +1050,5 @@ share/messageviewer/defaultthemes/5.2/photo.svg
 share/messageviewer/defaultthemes/5.2/style.css
 share/messageviewer/longurlServices.json
 share/org.kde.syntax-highlighting/syntax/kmail-template.xml
-share/qlogging-categories5/messagelib.categories
-share/qlogging-categories5/messagelib.renamecategories
+share/qlogging-categories6/messagelib.categories
+share/qlogging-categories6/messagelib.renamecategories
diff --git a/net/mimetreeparser/Makefile b/net/mimetreeparser/Makefile
new file mode 100644
index 000000000000..cb3ba69129ba
--- /dev/null
+++ b/net/mimetreeparser/Makefile
@@ -0,0 +1,20 @@
+PORTNAME=	mimetreeparser
+DISTVERSION=	${KDE_APPLICATIONS_VERSION}
+CATEGORIES=	net kde kde-applications
+
+MAINTAINER=	kde@FreeBSD.org
+COMMENT=	Parser for MIME trees 
+WWW=		https://www.kde.org/
+
+LICENSE=	LGPL21
+
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	calendarcore libkleo mbox mime \
+		ecm:build
+USE_QT=		base
+
+DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.mk>
diff --git a/net/mimetreeparser/distinfo b/net/mimetreeparser/distinfo
new file mode 100644
index 000000000000..2a6c39e8fa80
--- /dev/null
+++ b/net/mimetreeparser/distinfo
@@ -0,0 +1,3 @@
+TIMESTAMP = 1734460341
+SHA256 (KDE/release-service/24.12.0/mimetreeparser-24.12.0.tar.xz) = 1994ceb0704bb12eff08a5850a7986acd99979e248889c9631aba8f82e42dab6
+SIZE (KDE/release-service/24.12.0/mimetreeparser-24.12.0.tar.xz) = 646928
diff --git a/net/mimetreeparser/pkg-plist b/net/mimetreeparser/pkg-plist
new file mode 100644
index 000000000000..f7f89a101bd5
--- /dev/null
+++ b/net/mimetreeparser/pkg-plist
@@ -0,0 +1,94 @@
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/AttachmentModel
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/CryptoHelper
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/Enums
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/Errors
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/FileOpener
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/MessageParser
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/MessagePart
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/ObjectTreeParser
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/PartMetaData
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/PartModel
+include/KPim6/MimeTreeParserCore/MimeTreeParserCore/UrlHandler
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/attachmentmodel.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/cryptohelper.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/enums.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/errors.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/fileopener.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/messageparser.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/messagepart.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/mimetreeparser_core_export.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/objecttreeparser.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/partmetadata.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/partmodel.h
+include/KPim6/MimeTreeParserCore/mimetreeparsercore/urlhandler.h
+include/KPim6/MimeTreeParserCore/mimetreeparserng_version.h
+include/KPim6/MimeTreeParserWidgets/MimeTreeParserWidgets/MessageViewer
+include/KPim6/MimeTreeParserWidgets/MimeTreeParserWidgets/MessageViewerDialog
+include/KPim6/MimeTreeParserWidgets/mimetreeparser_widgets_version.h
+include/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets/messageviewer.h
+include/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets/messageviewerdialog.h
+include/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets/mimetreeparser_widgets_export.h
+lib/cmake/KPim6MimeTreeParserCore/KPim6MimeTreeParserCoreConfig.cmake
+lib/cmake/KPim6MimeTreeParserCore/KPim6MimeTreeParserCoreConfigVersion.cmake
+lib/cmake/KPim6MimeTreeParserCore/KPim6MimeTreeParserCoreTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MimeTreeParserCore/KPim6MimeTreeParserCoreTargets.cmake
+lib/cmake/KPim6MimeTreeParserWidgets/KPim6MimeTreeParserWidgetsConfig.cmake
+lib/cmake/KPim6MimeTreeParserWidgets/KPim6MimeTreeParserWidgetsConfigVersion.cmake
+lib/cmake/KPim6MimeTreeParserWidgets/KPim6MimeTreeParserWidgetsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MimeTreeParserWidgets/KPim6MimeTreeParserWidgetsTargets.cmake
+lib/libKPim6MimeTreeParserCore.so
+lib/libKPim6MimeTreeParserCore.so.6
+lib/libKPim6MimeTreeParserCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6MimeTreeParserWidgets.so
+lib/libKPim6MimeTreeParserWidgets.so.6
+lib/libKPim6MimeTreeParserWidgets.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_MKSPECDIR%%/modules/qt_MimeTreeParserCore.pri
+%%QT_MKSPECDIR%%/modules/qt_MimeTreeParserWidgets.pri
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/MailViewer.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/libmimetreeparser_plugin.so
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/mimetreeparser_plugin.qmltypes
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/AttachmentDelegate.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/Banner.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/ErrorPart.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/HtmlPart.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/ICalPart.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/MailPart.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/MailPartModel.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/MailPartView.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/private/TextPart.qml
+%%QT_QMLDIR%%/org/kde/pim/mimetreeparser/qmldir
+share/locale/ar/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ast/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ca/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ca@valencia/LC_MESSAGES/mimetreeparser6.mo
+share/locale/cs/LC_MESSAGES/mimetreeparser6.mo
+share/locale/de/LC_MESSAGES/mimetreeparser6.mo
+share/locale/en_GB/LC_MESSAGES/mimetreeparser6.mo
+share/locale/eo/LC_MESSAGES/mimetreeparser6.mo
+share/locale/es/LC_MESSAGES/mimetreeparser6.mo
+share/locale/eu/LC_MESSAGES/mimetreeparser6.mo
+share/locale/fi/LC_MESSAGES/mimetreeparser6.mo
+share/locale/fr/LC_MESSAGES/mimetreeparser6.mo
+share/locale/gl/LC_MESSAGES/mimetreeparser6.mo
+share/locale/he/LC_MESSAGES/mimetreeparser6.mo
+share/locale/hu/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ia/LC_MESSAGES/mimetreeparser6.mo
+share/locale/it/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ja/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ka/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ko/LC_MESSAGES/mimetreeparser6.mo
+share/locale/lt/LC_MESSAGES/mimetreeparser6.mo
+share/locale/lv/LC_MESSAGES/mimetreeparser6.mo
+share/locale/nl/LC_MESSAGES/mimetreeparser6.mo
+share/locale/pl/LC_MESSAGES/mimetreeparser6.mo
+share/locale/pt_BR/LC_MESSAGES/mimetreeparser6.mo
+share/locale/ru/LC_MESSAGES/mimetreeparser6.mo
+share/locale/sk/LC_MESSAGES/mimetreeparser6.mo
+share/locale/sl/LC_MESSAGES/mimetreeparser6.mo
+share/locale/sv/LC_MESSAGES/mimetreeparser6.mo
+share/locale/tr/LC_MESSAGES/mimetreeparser6.mo
+share/locale/uk/LC_MESSAGES/mimetreeparser6.mo
+share/locale/zh_CN/LC_MESSAGES/mimetreeparser6.mo
+share/locale/zh_TW/LC_MESSAGES/mimetreeparser6.mo
+share/qlogging-categories6/mimetreeparser.categories
diff --git a/net/pimcommon/Makefile b/net/pimcommon/Makefile
index e6cd0a03114c..b6407fa8ad41 100644
--- a/net/pimcommon/Makefile
+++ b/net/pimcommon/Makefile
@@ -10,20 +10,16 @@ LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz \
-		xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive attica auth codecs completion config configwidgets \
-		coreaddons dbusaddons emoticons i18n iconthemes init \
-		itemmodels itemviews jobwidgets kcmutils kio newstuff service \
-		solid sonnet textwidgets wallet widgetsaddons windowsystem \
-		xmlgui \
+		coreaddons dbusaddons i18n iconthemes itemmodels itemviews \
+		jobwidgets kcmutils kio newstuff service solid sonnet \
+		textwidgets wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadisearch contacts grantleetheme \
 		imap ktextaddons ldap libkdepim mime pimtextedit purpose
-USE_QT=		concurrent core dbus designer gui network printsupport script \
-		testlib uiplugin uitools widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/pimcommon/distinfo b/net/pimcommon/distinfo
index d4a3cde58cb3..733e8a4a9067 100644
--- a/net/pimcommon/distinfo
+++ b/net/pimcommon/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889465
-SHA256 (KDE/release-service/23.08.5/pimcommon-23.08.5.tar.xz) = 5f5b1cc3cc2a0f204089d55ff8dae5236da147878fb0925080399090d05f4d2e
-SIZE (KDE/release-service/23.08.5/pimcommon-23.08.5.tar.xz) = 349196
+TIMESTAMP = 1734460342
+SHA256 (KDE/release-service/24.12.0/pimcommon-24.12.0.tar.xz) = bcca986072612234a627c15777a530039904615288b9ce0d0d20f975c0adec24
+SIZE (KDE/release-service/24.12.0/pimcommon-24.12.0.tar.xz) = 365608
diff --git a/net/pimcommon/pkg-plist b/net/pimcommon/pkg-plist
index be33ca9618b4..9875ba284266 100644
--- a/net/pimcommon/pkg-plist
+++ b/net/pimcommon/pkg-plist
@@ -1,174 +1,199 @@
-include/KPim5/PimCommon/PimCommon/AbstractGenericPlugin
-include/KPim5/PimCommon/PimCommon/AbstractGenericPluginInterface
-include/KPim5/PimCommon/PimCommon/BroadcastStatus
-include/KPim5/PimCommon/PimCommon/ConfigureImmutableWidgetUtils
-include/KPim5/PimCommon/PimCommon/ConfigurePluginDialog
-include/KPim5/PimCommon/PimCommon/ConfigurePluginsListWidget
-include/KPim5/PimCommon/PimCommon/ConfigurePluginsWidget
-include/KPim5/PimCommon/PimCommon/CustomLogWidget
-include/KPim5/PimCommon/PimCommon/CustomToolsPlugin
-include/KPim5/PimCommon/PimCommon/CustomToolsPluginManager
-include/KPim5/PimCommon/PimCommon/CustomToolsViewInterface
-include/KPim5/PimCommon/PimCommon/CustomToolsWidgetng
-include/KPim5/PimCommon/PimCommon/CustomTreeView
-include/KPim5/PimCommon/PimCommon/EmailValidator
-include/KPim5/PimCommon/PimCommon/GenericPlugin
-include/KPim5/PimCommon/PimCommon/GenericPluginManager
-include/KPim5/PimCommon/PimCommon/KActionMenuChangeCase
-include/KPim5/PimCommon/PimCommon/LineEditWithAutoCorrection
-include/KPim5/PimCommon/PimCommon/LineEditWithCompleterNg
-include/KPim5/PimCommon/PimCommon/MigrateApplicationFiles
-include/KPim5/PimCommon/PimCommon/MigrateFileInfo
-include/KPim5/PimCommon/PimCommon/NetworkManager
-include/KPim5/PimCommon/PimCommon/PimUtil
-include/KPim5/PimCommon/PimCommon/PluginUtil
-include/KPim5/PimCommon/PimCommon/PurposeMenuWidget
-include/KPim5/PimCommon/PimCommon/RenameFileDialog
-include/KPim5/PimCommon/PimCommon/ShareServiceUrlManager
-include/KPim5/PimCommon/PimCommon/SimpleStringListEditor
-include/KPim5/PimCommon/PimCommon/SpellCheckLineEdit
-include/KPim5/PimCommon/PimCommon/TemplateListWidget
-include/KPim5/PimCommon/PimCommon/TemplateManager
-include/KPim5/PimCommon/config-pimcommon.h
-include/KPim5/PimCommon/pimcommon/abstractgenericplugin.h
-include/KPim5/PimCommon/pimcommon/abstractgenericplugininterface.h
-include/KPim5/PimCommon/pimcommon/broadcaststatus.h
-include/KPim5/PimCommon/pimcommon/configureimmutablewidgetutils.h
-include/KPim5/PimCommon/pimcommon/configureplugindialog.h
-include/KPim5/PimCommon/pimcommon/configurepluginslistwidget.h
-include/KPim5/PimCommon/pimcommon/configurepluginswidget.h
-include/KPim5/PimCommon/pimcommon/customlogwidget.h
-include/KPim5/PimCommon/pimcommon/customtoolsplugin.h
-include/KPim5/PimCommon/pimcommon/customtoolspluginmanager.h
-include/KPim5/PimCommon/pimcommon/customtoolsviewinterface.h
-include/KPim5/PimCommon/pimcommon/customtoolswidgetng.h
-include/KPim5/PimCommon/pimcommon/customtreeview.h
-include/KPim5/PimCommon/pimcommon/emailvalidator.h
-include/KPim5/PimCommon/pimcommon/genericplugin.h
-include/KPim5/PimCommon/pimcommon/genericpluginmanager.h
-include/KPim5/PimCommon/pimcommon/imapresourcesettings.h
-include/KPim5/PimCommon/pimcommon/kactionmenuchangecase.h
-include/KPim5/PimCommon/pimcommon/lineeditwithautocorrection.h
-include/KPim5/PimCommon/pimcommon/lineeditwithcompleterng.h
-include/KPim5/PimCommon/pimcommon/migrateapplicationfiles.h
-include/KPim5/PimCommon/pimcommon/migratefileinfo.h
-include/KPim5/PimCommon/pimcommon/networkmanager.h
-include/KPim5/PimCommon/pimcommon/pimcommon_export.h
-include/KPim5/PimCommon/pimcommon/pimutil.h
-include/KPim5/PimCommon/pimcommon/pluginutil.h
-include/KPim5/PimCommon/pimcommon/purposemenuwidget.h
-include/KPim5/PimCommon/pimcommon/renamefiledialog.h
-include/KPim5/PimCommon/pimcommon/shareserviceurlmanager.h
-include/KPim5/PimCommon/pimcommon/simplestringlisteditor.h
-include/KPim5/PimCommon/pimcommon/spellchecklineedit.h
-include/KPim5/PimCommon/pimcommon/templatelistwidget.h
-include/KPim5/PimCommon/pimcommon/templatemanager.h
-include/KPim5/PimCommon/pimcommon_version.h
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/AddresseeLineEdit
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/AnnotationDialog
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CheckedCollectionWidget
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CollectionAclPage
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CollectionTypeUtil
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CompletionConfigureDialog
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CompletionOrderEditor
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/ContentTypeWidget
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/CreateResource
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/GenericPluginInterface
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/ImapAclAttribute
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/ImapResourceCapabilitiesManager
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/IncidencesForWidget
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/LdapSearchDialog
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/MailUtil
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/ManageServerSideSubscriptionJob
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/PluginInterface
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/ProgressManagerAkonadi
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/RecentAddresses
-include/KPim5/PimCommonAkonadi/PimCommonAkonadi/SelectMultiCollectionDialog
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/addresseelineedit.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/annotationdialog.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/checkedcollectionwidget.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/collectionaclpage.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/collectiontypeutil.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/completionconfiguredialog.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/completionordereditor.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/contenttypewidget.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/createresource.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/genericplugininterface.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/imapaclattribute.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/imapresourcecapabilitiesmanager.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/incidencesforwidget.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/ldapsearchdialog.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/mailutil.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/manageserversidesubscriptionjob.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/pimcommonakonadi_export.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/plugininterface.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/progressmanagerakonadi.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/recentaddresses.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi/selectmulticollectiondialog.h
-include/KPim5/PimCommonAkonadi/pimcommonakonadi_version.h
-lib/cmake/KPim5PimCommon/KPim5PimCommonConfig.cmake
-lib/cmake/KPim5PimCommon/KPim5PimCommonConfigVersion.cmake
-lib/cmake/KPim5PimCommon/KPim5PimCommonTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5PimCommon/KPim5PimCommonTargets.cmake
-lib/cmake/KPim5PimCommonAkonadi/KPim5PimCommonAkonadiConfig.cmake
-lib/cmake/KPim5PimCommonAkonadi/KPim5PimCommonAkonadiConfigVersion.cmake
-lib/cmake/KPim5PimCommonAkonadi/KPim5PimCommonAkonadiTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5PimCommonAkonadi/KPim5PimCommonAkonadiTargets.cmake
-lib/libKPim5PimCommon.so
-lib/libKPim5PimCommon.so.5
-lib/libKPim5PimCommon.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5PimCommonAkonadi.so
-lib/libKPim5PimCommonAkonadi.so.5
-lib/libKPim5PimCommonAkonadi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_PimCommon.pri
-%%QT_MKSPECDIR%%/modules/qt_PimCommonAkonadi.pri
-%%QT_PLUGINDIR%%/designer/pimcommon5akonadiwidgets.so
-%%QT_PLUGINDIR%%/designer/pimcommon5widgets.so
-share/locale/ar/LC_MESSAGES/libpimcommon.mo
-share/locale/bs/LC_MESSAGES/libpimcommon.mo
-share/locale/ca/LC_MESSAGES/libpimcommon.mo
-share/locale/ca@valencia/LC_MESSAGES/libpimcommon.mo
-share/locale/cs/LC_MESSAGES/libpimcommon.mo
-share/locale/da/LC_MESSAGES/libpimcommon.mo
-share/locale/de/LC_MESSAGES/libpimcommon.mo
-share/locale/el/LC_MESSAGES/libpimcommon.mo
-share/locale/en_GB/LC_MESSAGES/libpimcommon.mo
-share/locale/eo/LC_MESSAGES/libpimcommon.mo
-share/locale/es/LC_MESSAGES/libpimcommon.mo
-share/locale/et/LC_MESSAGES/libpimcommon.mo
-share/locale/eu/LC_MESSAGES/libpimcommon.mo
-share/locale/fi/LC_MESSAGES/libpimcommon.mo
-share/locale/fr/LC_MESSAGES/libpimcommon.mo
-share/locale/ga/LC_MESSAGES/libpimcommon.mo
-share/locale/gl/LC_MESSAGES/libpimcommon.mo
-share/locale/hu/LC_MESSAGES/libpimcommon.mo
-share/locale/ia/LC_MESSAGES/libpimcommon.mo
-share/locale/it/LC_MESSAGES/libpimcommon.mo
-share/locale/ja/LC_MESSAGES/libpimcommon.mo
-share/locale/ka/LC_MESSAGES/libpimcommon.mo
-share/locale/kk/LC_MESSAGES/libpimcommon.mo
-share/locale/ko/LC_MESSAGES/libpimcommon.mo
-share/locale/lt/LC_MESSAGES/libpimcommon.mo
-share/locale/mr/LC_MESSAGES/libpimcommon.mo
-share/locale/nb/LC_MESSAGES/libpimcommon.mo
-share/locale/nds/LC_MESSAGES/libpimcommon.mo
-share/locale/nl/LC_MESSAGES/libpimcommon.mo
-share/locale/pl/LC_MESSAGES/libpimcommon.mo
-share/locale/pt/LC_MESSAGES/libpimcommon.mo
-share/locale/pt_BR/LC_MESSAGES/libpimcommon.mo
-share/locale/ro/LC_MESSAGES/libpimcommon.mo
-share/locale/ru/LC_MESSAGES/libpimcommon.mo
-share/locale/sk/LC_MESSAGES/libpimcommon.mo
-share/locale/sl/LC_MESSAGES/libpimcommon.mo
-share/locale/sr/LC_MESSAGES/libpimcommon.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libpimcommon.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libpimcommon.mo
-share/locale/sr@latin/LC_MESSAGES/libpimcommon.mo
-share/locale/sv/LC_MESSAGES/libpimcommon.mo
-share/locale/tr/LC_MESSAGES/libpimcommon.mo
-share/locale/ug/LC_MESSAGES/libpimcommon.mo
-share/locale/uk/LC_MESSAGES/libpimcommon.mo
-share/locale/zh_CN/LC_MESSAGES/libpimcommon.mo
-share/locale/zh_TW/LC_MESSAGES/libpimcommon.mo
-share/qlogging-categories5/pimcommon.categories
-share/qlogging-categories5/pimcommon.renamecategories
+include/KPim6/PimCommon/PimCommon/AbstractGenericPlugin
+include/KPim6/PimCommon/PimCommon/AbstractGenericPluginInterface
+include/KPim6/PimCommon/PimCommon/BroadcastStatus
+include/KPim6/PimCommon/PimCommon/ConfigureImmutableWidgetUtils
+include/KPim6/PimCommon/PimCommon/ConfigurePluginDialog
+include/KPim6/PimCommon/PimCommon/ConfigurePluginsListWidget
+include/KPim6/PimCommon/PimCommon/ConfigurePluginsTreeWidgetDelegate
+include/KPim6/PimCommon/PimCommon/ConfigurePluginsWidget
+include/KPim6/PimCommon/PimCommon/CustomLogWidget
+include/KPim6/PimCommon/PimCommon/CustomToolsPlugin
+include/KPim6/PimCommon/PimCommon/CustomToolsPluginManager
+include/KPim6/PimCommon/PimCommon/CustomToolsViewInterface
+include/KPim6/PimCommon/PimCommon/CustomToolsWidgetng
+include/KPim6/PimCommon/PimCommon/CustomTreeView
+include/KPim6/PimCommon/PimCommon/GenericPlugin
+include/KPim6/PimCommon/PimCommon/GenericPluginManager
+include/KPim6/PimCommon/PimCommon/KActionMenuChangeCase
+include/KPim6/PimCommon/PimCommon/LineEditWithAutoCorrection
+include/KPim6/PimCommon/PimCommon/LineEditWithCompleterNg
+include/KPim6/PimCommon/PimCommon/NeedUpdateVersionUtils
+include/KPim6/PimCommon/PimCommon/NeedUpdateVersionWidget
+include/KPim6/PimCommon/PimCommon/NetworkManager
+include/KPim6/PimCommon/PimCommon/PimUtil
+include/KPim6/PimCommon/PimCommon/PluginUtil
+include/KPim6/PimCommon/PimCommon/PurposeMenuMessageWidget
+include/KPim6/PimCommon/PimCommon/PurposeMenuWidget
+include/KPim6/PimCommon/PimCommon/RenameFileDialog
+include/KPim6/PimCommon/PimCommon/ShareServiceUrlManager
+include/KPim6/PimCommon/PimCommon/SimpleStringListEditor
+include/KPim6/PimCommon/PimCommon/SpellCheckLineEdit
+include/KPim6/PimCommon/PimCommon/TemplateListWidget
+include/KPim6/PimCommon/PimCommon/TemplateManager
+include/KPim6/PimCommon/PimCommon/VerifyNewVersionWidget
+include/KPim6/PimCommon/PimCommon/WhatsNewComboBoxWidget
+include/KPim6/PimCommon/PimCommon/WhatsNewDialog
+include/KPim6/PimCommon/PimCommon/WhatsNewInfo
+include/KPim6/PimCommon/PimCommon/WhatsNewMessageWidget
+include/KPim6/PimCommon/PimCommon/WhatsNewTranslationsBase
+include/KPim6/PimCommon/pimcommon/abstractgenericplugin.h
+include/KPim6/PimCommon/pimcommon/abstractgenericplugininterface.h
+include/KPim6/PimCommon/pimcommon/broadcaststatus.h
+include/KPim6/PimCommon/pimcommon/configureimmutablewidgetutils.h
+include/KPim6/PimCommon/pimcommon/configureplugindialog.h
+include/KPim6/PimCommon/pimcommon/configurepluginslistwidget.h
+include/KPim6/PimCommon/pimcommon/configurepluginstreewidgetdelegate.h
+include/KPim6/PimCommon/pimcommon/configurepluginswidget.h
+include/KPim6/PimCommon/pimcommon/customlogwidget.h
+include/KPim6/PimCommon/pimcommon/customtoolsplugin.h
+include/KPim6/PimCommon/pimcommon/customtoolspluginmanager.h
+include/KPim6/PimCommon/pimcommon/customtoolsviewinterface.h
+include/KPim6/PimCommon/pimcommon/customtoolswidgetng.h
+include/KPim6/PimCommon/pimcommon/customtreeview.h
+include/KPim6/PimCommon/pimcommon/genericplugin.h
+include/KPim6/PimCommon/pimcommon/genericpluginmanager.h
+include/KPim6/PimCommon/pimcommon/imapresourcesettings.h
+include/KPim6/PimCommon/pimcommon/kactionmenuchangecase.h
+include/KPim6/PimCommon/pimcommon/lineeditwithautocorrection.h
+include/KPim6/PimCommon/pimcommon/lineeditwithcompleterng.h
+include/KPim6/PimCommon/pimcommon/needupdateversionutils.h
+include/KPim6/PimCommon/pimcommon/needupdateversionwidget.h
+include/KPim6/PimCommon/pimcommon/networkmanager.h
+include/KPim6/PimCommon/pimcommon/pimcommon_export.h
+include/KPim6/PimCommon/pimcommon/pimutil.h
+include/KPim6/PimCommon/pimcommon/pluginutil.h
+include/KPim6/PimCommon/pimcommon/purposemenumessagewidget.h
+include/KPim6/PimCommon/pimcommon/purposemenuwidget.h
+include/KPim6/PimCommon/pimcommon/renamefiledialog.h
+include/KPim6/PimCommon/pimcommon/shareserviceurlmanager.h
+include/KPim6/PimCommon/pimcommon/simplestringlisteditor.h
+include/KPim6/PimCommon/pimcommon/spellchecklineedit.h
+include/KPim6/PimCommon/pimcommon/templatelistwidget.h
+include/KPim6/PimCommon/pimcommon/templatemanager.h
+include/KPim6/PimCommon/pimcommon/verifynewversionwidget.h
+include/KPim6/PimCommon/pimcommon/whatsnewcomboboxwidget.h
+include/KPim6/PimCommon/pimcommon/whatsnewdialog.h
+include/KPim6/PimCommon/pimcommon/whatsnewinfo.h
+include/KPim6/PimCommon/pimcommon/whatsnewmessagewidget.h
+include/KPim6/PimCommon/pimcommon/whatsnewtranslationsbase.h
+include/KPim6/PimCommon/pimcommon_version.h
+include/KPim6/PimCommonActivities/PimCommonActivities/ActivitiesBaseManager
+include/KPim6/PimCommonActivities/PimCommonActivities/ConfigureActivitiesWidget
+include/KPim6/PimCommonActivities/pimcommonactivities/activitiesbasemanager.h
+include/KPim6/PimCommonActivities/pimcommonactivities/configureactivitieswidget.h
+include/KPim6/PimCommonActivities/pimcommonactivities/pimcommonactivities_export.h
+include/KPim6/PimCommonActivities/pimcommonactivities_version.h
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/AddresseeLineEdit
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CheckedCollectionWidget
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CollectionAclPage
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CollectionTypeUtil
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CompletionConfigureDialog
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CompletionOrderEditor
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/ContentTypeWidget
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/CreateResource
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/GenericPluginInterface
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/ImapAclAttribute
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/ImapResourceCapabilitiesManager
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/IncidencesForWidget
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/LdapSearchDialog
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/MailUtil
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/ManageServerSideSubscriptionJob
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/PluginInterface
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/ProgressManagerAkonadi
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/RecentAddresses
+include/KPim6/PimCommonAkonadi/PimCommonAkonadi/SelectMultiCollectionDialog
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/addresseelineedit.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/checkedcollectionwidget.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/collectionaclpage.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/collectiontypeutil.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/completionconfiguredialog.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/completionordereditor.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/contenttypewidget.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/createresource.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/genericplugininterface.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/imapaclattribute.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/imapresourcecapabilitiesmanager.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/incidencesforwidget.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/ldapsearchdialog.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/mailutil.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/manageserversidesubscriptionjob.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/pimcommonakonadi_export.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/plugininterface.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/progressmanagerakonadi.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/recentaddresses.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi/selectmulticollectiondialog.h
+include/KPim6/PimCommonAkonadi/pimcommonakonadi_version.h
+lib/cmake/KPim6PimCommon/KPim6PimCommonConfig.cmake
+lib/cmake/KPim6PimCommon/KPim6PimCommonConfigVersion.cmake
+lib/cmake/KPim6PimCommon/KPim6PimCommonTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6PimCommon/KPim6PimCommonTargets.cmake
+lib/cmake/KPim6PimCommonActivities/KPim6PimCommonActivitiesConfig.cmake
+lib/cmake/KPim6PimCommonActivities/KPim6PimCommonActivitiesConfigVersion.cmake
+lib/cmake/KPim6PimCommonActivities/KPim6PimCommonActivitiesTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6PimCommonActivities/KPim6PimCommonActivitiesTargets.cmake
+lib/cmake/KPim6PimCommonAkonadi/KPim6PimCommonAkonadiConfig.cmake
+lib/cmake/KPim6PimCommonAkonadi/KPim6PimCommonAkonadiConfigVersion.cmake
+lib/cmake/KPim6PimCommonAkonadi/KPim6PimCommonAkonadiTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6PimCommonAkonadi/KPim6PimCommonAkonadiTargets.cmake
+lib/libKPim6PimCommon.so
+lib/libKPim6PimCommon.so.6
+lib/libKPim6PimCommon.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6PimCommonActivities.so
+lib/libKPim6PimCommonActivities.so.6
+lib/libKPim6PimCommonActivities.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6PimCommonAkonadi.so
+lib/libKPim6PimCommonAkonadi.so.6
+lib/libKPim6PimCommonAkonadi.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/designer/pimcommon6akonadiwidgets.so
+%%QT_PLUGINDIR%%/designer/pimcommon6widgets.so
+share/locale/ar/LC_MESSAGES/libpimcommon6.mo
+share/locale/ast/LC_MESSAGES/libpimcommon6.mo
+share/locale/bs/LC_MESSAGES/libpimcommon6.mo
+share/locale/ca/LC_MESSAGES/libpimcommon6.mo
+share/locale/ca@valencia/LC_MESSAGES/libpimcommon6.mo
+share/locale/cs/LC_MESSAGES/libpimcommon6.mo
+share/locale/da/LC_MESSAGES/libpimcommon6.mo
+share/locale/de/LC_MESSAGES/libpimcommon6.mo
+share/locale/el/LC_MESSAGES/libpimcommon6.mo
+share/locale/en_GB/LC_MESSAGES/libpimcommon6.mo
+share/locale/eo/LC_MESSAGES/libpimcommon6.mo
+share/locale/es/LC_MESSAGES/libpimcommon6.mo
+share/locale/et/LC_MESSAGES/libpimcommon6.mo
+share/locale/eu/LC_MESSAGES/libpimcommon6.mo
+share/locale/fi/LC_MESSAGES/libpimcommon6.mo
+share/locale/fr/LC_MESSAGES/libpimcommon6.mo
+share/locale/ga/LC_MESSAGES/libpimcommon6.mo
+share/locale/gl/LC_MESSAGES/libpimcommon6.mo
+share/locale/he/LC_MESSAGES/libpimcommon6.mo
+share/locale/hu/LC_MESSAGES/libpimcommon6.mo
+share/locale/ia/LC_MESSAGES/libpimcommon6.mo
+share/locale/it/LC_MESSAGES/libpimcommon6.mo
+share/locale/ja/LC_MESSAGES/libpimcommon6.mo
+share/locale/ka/LC_MESSAGES/libpimcommon6.mo
+share/locale/kk/LC_MESSAGES/libpimcommon6.mo
+share/locale/ko/LC_MESSAGES/libpimcommon6.mo
+share/locale/lt/LC_MESSAGES/libpimcommon6.mo
+share/locale/mr/LC_MESSAGES/libpimcommon6.mo
+share/locale/nb/LC_MESSAGES/libpimcommon6.mo
+share/locale/nds/LC_MESSAGES/libpimcommon6.mo
+share/locale/nl/LC_MESSAGES/libpimcommon6.mo
+share/locale/pl/LC_MESSAGES/libpimcommon6.mo
+share/locale/pt/LC_MESSAGES/libpimcommon6.mo
+share/locale/pt_BR/LC_MESSAGES/libpimcommon6.mo
+share/locale/ro/LC_MESSAGES/libpimcommon6.mo
+share/locale/ru/LC_MESSAGES/libpimcommon6.mo
+share/locale/sk/LC_MESSAGES/libpimcommon6.mo
+share/locale/sl/LC_MESSAGES/libpimcommon6.mo
+share/locale/sr/LC_MESSAGES/libpimcommon6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libpimcommon6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libpimcommon6.mo
+share/locale/sr@latin/LC_MESSAGES/libpimcommon6.mo
+share/locale/sv/LC_MESSAGES/libpimcommon6.mo
+share/locale/ta/LC_MESSAGES/libpimcommon6.mo
+share/locale/tr/LC_MESSAGES/libpimcommon6.mo
+share/locale/ug/LC_MESSAGES/libpimcommon6.mo
+share/locale/uk/LC_MESSAGES/libpimcommon6.mo
+share/locale/zh_CN/LC_MESSAGES/libpimcommon6.mo
+share/locale/zh_TW/LC_MESSAGES/libpimcommon6.mo
+share/qlogging-categories6/pimcommon.categories
+share/qlogging-categories6/pimcommon.renamecategories
diff --git a/print/Makefile b/print/Makefile
index 92af21b580ed..b68b63d25a56 100644
--- a/print/Makefile
+++ b/print/Makefile
@@ -160,7 +160,6 @@
     SUBDIR += plasma6-print-manager
     SUBDIR += pnm2ppa
     SUBDIR += posterazor
-    SUBDIR += print-manager
     SUBDIR += ps2eps
     SUBDIR += pscal
     SUBDIR += psdim
